/* $Id: tcslen.h 21683 2006-04-21 15:15:18Z peterw $
 */

#include <stddef.h>
#include <tchar.h>

size_t _tcslen(const _TCHAR * str)
{
 const _TCHAR * s;

 if(str == 0) return 0;

 for(s = str; *s; ++ s);

 return s - str;
}

/* EOF */
